# A/B Street

Ever been stuck in traffic on a bus, wondering why is there legal street parking
instead of a dedicated bus lane? A/B Street is a game exploring how small
changes to a city affect the movement of drivers, cyclists, transit users, and
pedestrians. It works anywhere in the world, thanks to
[OpenStreetMap](https://www.openstreetmap.org/about).

- Play on
  [Windows](https://github.com/a-b-street/abstreet/releases/download/v0.2.47/abstreet_windows_v0_2_47.zip),
  [Mac](https://github.com/a-b-street/abstreet/releases/download/v0.2.47/abstreet_mac_v0_2_47.zip),
  [Linux](https://github.com/a-b-street/abstreet/releases/download/v0.2.47/abstreet_linux_v0_2_47.zip),
  [FreeBSD](https://www.freshports.org/games/abstreet/),
  [your web browser](http://abstreet.s3-website.us-east-2.amazonaws.com/0.2.47/abstreet.html),
  or [read all instructions](https://a-b-street.github.io/docs/howto/index.html)
  (new releases every Sunday)
- [build from source](https://a-b-street.github.io/docs/dev/index.html) (new
  changes daily)
- Try the Dec 2020 surprise:
  [15-minute Santa](https://a-b-street.github.io/docs/side_projects/santa.html)

## Show, don't tell

[Alpha release trailer](https://www.youtube.com/watch?v=LxPD4n_1-LU)

Find a problem:

![exploring_traffic](videos/exploring_traffic.gif)

Make some changes:

![editing_map](videos/editing_map.gif)

Measure the effects:

![evaluating_impacts](videos/evaluating_impacts.gif)

## Documentation

- Technical
  - [Developer guide](https://a-b-street.github.io/docs/tech/dev/index.html)
  - [Running A/B Street in a new city](https://a-b-street.github.io/docs/user/new_city.html)
  - [UX design](https://yuwen-li.com/work/abstreet)
- [Presentations](https://a-b-street.github.io/docs/project/presentations.html)
- Project
  - [Roadmap](https://a-b-street.github.io/docs/project/roadmap.html)
  - [Motivations](https://a-b-street.github.io/docs/project/motivations.html)
  - [History](https://a-b-street.github.io/docs/project/history/index.html)

## Roadmap and contributing

See the [roadmap](https://a-b-street.github.io/docs/project/roadmap.html) for
current work, and all of the ways to
[contribute](https://a-b-street.github.io/docs//project/contributing.html).
Follow [r/abstreet](https://www.reddit.com/r/abstreet/) for weekly updates or
[@CarlinoDustin](https://twitter.com/CarlinoDustin) for occasional videos of
recent progress.

## Project mission

If you fix some traffic problem while playing A/B Street, my ultimate goal is
for your changes to become a real proposal for adjusting Seattle's
infrastructure. A/B Street is of course a game, using a simplified approach to
traffic modeling, so city governments still have to evaluate proposals using
their existing methods. A/B Street is intended as a conversation starter and
tool to communicate ideas with interactive visualizations.

Why not leave city planning to professionals? People are local experts on the
small slice of the city they interact with daily -- the one left turn lane that
always backs up or a certain set of poorly timed walk signals.
[Laura Adler](http://www.govtech.com/data/SimCities-Can-City-Planning-Mistakes-Be-Avoided-Through-Data-Driven-Simulations.html)
writes:

> "Only with simple, accessible simulation programs can citizens become active
> generators of their own urban visions, not just passive recipients of options
> laid out by government officials."

Existing urban planning software is either proprietary or hard to use. A/B
Street strives to be highly accessible, by being a fun, engaging game. See
[here](https://a-b-street.github.io/docs/project/motivations.html) for more
guiding principles.

## Credits

Core team:

- Dustin Carlino (<dabreegster@gmail.com>)
- [Yuwen Li](https://www.yuwen-li.com/) (UX)
- [Michael Kirk](https://github.com/michaelkirk)

[See full credits](https://a-b-street.github.io/docs/project/team.html)
